pi=3.1415926535
set pointsize 2
#set terminal postscript eps enhanced 22
set terminal epslatex
set output 'gauss.tex'
set title "Gaussian Distribution"
set xlabel '$x$'
set ylabel '$p(x)$'
plot [-5:5][0:0.5] exp(-x**2/2)/sqrt(2*pi) title '$\sigma = 1$',\
                   exp(-x**2/8)/sqrt(8*pi) title '$\sigma = 2$'

set output 'gauss_tail.tex'
set title "Gaussian Tail Distribution"
set xlabel '$x$'
set ylabel '$p(x)$'
plot [0:5][0:2] ((x<=1.5)?0:exp(-x*x/2)/((erfc(1.5/sqrt(2))/2)*(sqrt(2*pi))))\
     title '$\sigma = 1, a = 1.5$'

set output 'bi_gauss.tex'
set title "Bivariate Gaussian Distribution"
set xlabel '$x$'
set ylabel '$p(x)$'
set isosamples 30
set hidden3d
set contour
set view 72,155,1,1
splot [-2:2][-2:2] (exp(-(x**2+y**2-1.8*x*y)/(2*0.19))/(2*pi*sqrt(0.19)))\
      title '$\sigma_x = \sigma_y = 1, \rho = 0.9$'

set output 'exp.tex'
set title "Exponential Distribution"
set xlabel '$x$'
set ylabel '$p(x)$'
plot [0:3] exp(-x) title '$\mu = 1$', exp(-x/2)/2 title '$\mu = 2$'

set output 'laplace.tex'
set title "Laplace Distribution (Two-sided Exponential)"
set xlabel '$x$'
set ylabel '$p(x)$'
set samples 500
plot [-5:5][0:0.55] exp(-abs(x))/2 title '$a=1$', exp(-abs(x/2))/4 title '$a=2$'

set output 'exppow.tex'
set title "Exponential Power Distribution"
set xlabel '$x$'
set ylabel '$p(x)$'
plot [-5:5] exp(-abs(x)**2.5)/(2*gamma(3.5/2.5)) title '$a=1, b=2.5$',\
            exp(-abs(x)**0.5)/(2*gamma(3))       title '$a=1, b=0.5$'

set output 'cauchy.tex'
set title "Cauchy Distribution"
set xlabel '$x$'
set ylabel '$p(x)$'
plot [-5:5] 1/(pi*(1+(x)**2))     title '$a=1$',\
            1/(2*pi*(1+(x/2)**2)) title '$a=2$'

set output 'rayleigh.tex'
set title "Rayleigh Distribution"
set xlabel '$x$'
set ylabel '$p(x)$'
plot [0:5] x*exp(-x**2/2)   title '$\sigma = 1$',\
           x*exp(-x**2/8)/4 title '$\sigma = 2$'

set output 'rayleigh_tail.tex'
set title "Rayleigh Tail Distribution"
set xlabel '$x$'
set ylabel '$p(x)$'
plot [0:5][0:1.1] (x<=1)?0:x*exp((1-x**2)/2) title '$a=1,   \sigma =1$',\
           (x<=0.5)?0:x*exp((0.25-x**2)/8)/4 title '$a=0.5, \sigma =2$'

set output 'gamma.tex'
set title "Gamma Distribution"
set xlabel '$x$'
set ylabel '$p(x)$'
plot [0:5][0:1] exp(-x)/(gamma(1))      title "$a=1$",\
                x*exp(-x)/(gamma(2))    title "$a=2$",\
                x**2*exp(-x)/(gamma(3)) title "$a=3$"

set output 'flat.tex'
set title "Flat Distribution"
set xlabel '$x$'
set ylabel '$p(x)$'
plot [0:5][0:1] ((x<0.5)||(x>2.5))?0:0.5 title "$a=0.5, b=2.5$",\
                ((x<1.2)||(x>4.8))?0:0.3 title "$a=1.2, b=4.8$"
set output

set output 'lognormal.tex'
set title "The Lognormal Distribution"
set xlabel '$x$'
set ylabel '$p(x)$'
plot [0:3] (exp(-log(x)**2/2))/(x*sqrt(2*pi))   title "$\\zeta =0,\\sigma =1$",\
           exp(-(log(x)-1)**2/2)/(x*sqrt(2*pi)) title "$\\zeta =1,\\sigma =1$"

set output 'chisq.tex'
set title "Chi-squared Distribution"
set xlabel '$x$'
set ylabel '$p(x)$'
plot [0:3][0:1] (x/2)**(-0.5)*exp(-x/2)/(2*gamma(0.5)) title "$\\nu=1$",\
                exp(-x/2)/(2*gamma(1))                 title "$\\nu=2$",\
                (x/2)**(0.5)*exp(-x/2)/(2*gamma(1.5))  title "$\\nu=3$"
#title "$\nu=1$",\
#title "$\nu = 2$",\
#title "$\nu = 3$"

set output 'fdist.tex'
set title "$F$-distribution"
set xlabel '$x$'
set ylabel '$p(x)$'
plot [0:2][0:1] \
  x**(-0.5)*(1+x)**(-1)*gamma(1)/(gamma(0.5)*gamma(0.5))\
    title "$\\nu_1 = 1, \\nu_2 = 1$",\
  3**1.5*2*x**(0.5)*(2+3*x)**(-2.5)*gamma(2.5)/(gamma(1.5)*gamma(1))\
    title "$\\nu_1 = 3, \\nu_2 = 2$"

set output 'tdist.tex'
set title "Student's $t$ Distribution"
set xlabel '$x$'
set ylabel '$p(x)$'
plot [-4:4][0:0.5]\
  (1+x**2)**(-1)*gamma(1)/(sqrt(pi)*gamma(0.5))     title "$\\nu_1 = 1$",\
  (1+x**2/5)**(-3)*gamma(3)/(sqrt(pi*5)*gamma(2.5)) title "$\\nu_1 = 5$"

set output 'beta.tex'
set title "Beta Distribution"
set xlabel '$x$'
set ylabel '$p(x)$'
plot [0:1][0:4] x*(1-x)*gamma(4)/(gamma(2)*gamma(2))  title "$a=2, b=2$",\
                x**3*gamma(5)/(gamma(4)*gamma(1))     title "$a=4, b=1$",\
                (1-x)**3*gamma(5)/(gamma(4)*gamma(1)) title "$a=1, b=4$"

set output 'logistic.tex'
set title "Logistic Distribution"
set xlabel '$x$'
set ylabel '$p(x)$'
plot [-5:5][0:0.3] exp(-x)/((1+exp(-x))**2)       title "$a=1$",\
                   exp(-x/2)/(2*(1+exp(-x/2))**2) title "$a=2$"

set output 'pareto.tex'
set title "Pareto Distribution"
set xlabel '$x$'
set ylabel '$p(x)$'
plot [0:5][0:2] x<1?0:1/(x**2)       title "$a=1, b=1$",\
                x<2?0:1.5/((x/2)**4) title "$a=3, b=2$"

set output 'weibull.tex'
set title "Weibull Distribution"
set xlabel '$x$'
set ylabel '$p(x)$'
plot [0:2][0:1.5] exp(-x)                   title "$a=1, b=1$",\
                  2*x*exp(-x**2)            title "$a=1, b=2$",\
                  (x**2)*exp(-(x/2)**3)*3/8 title "$a=2, b=3$"

set output 'gumbel1.tex'
set title "Type 1 Gumbel Distribution"
set xlabel '$x$'
set ylabel '$p(x)$'
plot [-2:5][0:0.5] exp(-exp(-x)-x) title "Type 1, $a=1, b=1$"

set output 'gumbel2.tex'
set title "Type 2 Gumbel Distribution"
set xlabel '$x$'
set ylabel '$p(x)$'
plot [0:2][0:0.7] exp(-1/x)/(x**2) title "Type 2, $a=1, b=1$"

#set output 'poisson.eps'
#set title "Poisson Distribution"
#set xlabel 'k'
#set ylabel 'p(k)'
#plot [-0.5:10.5][0:0.3] exp(-2.5)*2.5**int(x)/int(x)! title "{/Symbol m} = 2.5" with points

set output 'bernoulli.tex'
set title "Bernoulli Trial"
set xlabel '$k$'
set ylabel '$p(k)$'
plot [-0.5:1.5][0:1] '-' title "$p=0.7$"
0 0.3
1 0.7
e

#set output 'binomial.eps'
#set title "Binomial Distribution"
#set xlabel 'k'
#set ylabel 'p(k)'
#plot [-0.5:10.5][0:0.3] '-'  title "p = 0.5, n = 9"
#0 0.00195313
#1 0.0175781
#2 0.0703125
#3 0.164063
#4 0.246094
#5 0.246094
#6 0.164063
#7 0.0703125
#8 0.0175781
#9 0.00195313
#10 0
#e
#
#set output 'neg_binomial.eps'
#set title "Negative Binomial Distribution"
#set xlabel 'k'
#set ylabel 'p(k)'
#plot [-0.5:10.5][0:0.3] '-'  title "p = 0.5, n = 3.5"
#0 0.0883883
#1 0.15468
#2 0.174015
#3 0.159513
#4 0.129605
#5 0.0972034
#6 0.0688524
#7 0.0467213
#8 0.0306609
#9 0.0195889
#10 0.012243
#e
#
#set output 'pascal.eps'
#set title "Pascal Distribution"
#set xlabel 'k'
#set ylabel 'p(k)'
#plot [-0.5:10.5][0:0.3] '-'  title "p = 0.5, n = 3"
#0 0.125
#1 0.1875
#2 0.1875
#3 0.15625
#4 0.117188
#5 0.0820313
#6 0.0546875
#7 0.0351563
#8 0.0219727
#9 0.0134277
#10 0.00805664
#e
#
#set output 'geometric.eps'
#set title "Geometric Distribution"
#set xlabel 'k'
#set ylabel 'p(k)'
#plot [-0.5:5.5][0:0.7] '-'  title "p = 0.5"
#1 0.5
#2 0.25
#3 0.125
#4 0.0625
#5 0.03125
#e
#
#set output 'hypergeometric.eps'
#set title "Hypergeometric Distribution"
#set xlabel 'k'
#set ylabel 'p(k)'
#plot [-0.5:10.5][0:0.7] '-'  title "n1 = 5, n2 = 20, t = 3"
#0 0.495652
#1 0.413043
#2 0.0869565
#3 0.00434783
#4 0
#e
#
#set output 'logarithmic.eps'
#set title "Logarithmic Distribution"
#set xlabel 'k'
#set ylabel 'p(k)'
#plot [-0.5:10.5][0:0.7] '-'  title "p = 0.7"
#0 0
#1 0.581408
#2 0.203493
#3 0.0949634
#4 0.0498558
#5 0.0279192
#6 0.0162862
#7 0.00977173
#8 0.00598519
#9 0.00372412
#10 0.00234619
#e
