#include <stdio.h>
#include <gsl/gsl_randist.h>

#define DIM 2

int main()
{
	int i, j;
	double x[DIM], X, Y, Z;
	const gsl_rng_type * T; 
	gsl_rng * r; 

    gsl_rng_env_setup(); 
    T = gsl_rng_default; 
    r = gsl_rng_alloc(T);

	puts("set terminal epslatex");
	puts("set output \"dir.tex\"");
	puts("set size square");
	puts("set title \"Spherical Vector Distribution\"");
	puts("set xlabel \"$x_1$\"");
	puts("set ylabel \"$x_2$\"");
	puts("plot [-2:2][-2:2] \"-\" title \"100 samples\" with points");
	for (i = 0; i < 100; i++) {
		gsl_ran_dir_nd(r, DIM, x);
		for (j = 0; j < DIM; j++) printf("%f\t", x[j]);
		printf("\n");
	}
	puts("e\n");

	puts("set output \"dir2.tex\"");
	puts("set xlabel \"x[1]\"");
	puts("set ylabel \"x[2]\"");
	puts("set zlabel \"x[3]\"");
	puts("splot [-2:2][-2:2][-2:2] \"-\" with points");
	for (i = 0; i < 1000; i++) {
		gsl_ran_dir_3d(r, &X, &Y, &Z);
		printf("%f\t%f\t%f\n", X, Y, Z);
	}

	free(r);
	return 0;
}
